<script>
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import testcaseData from '../../../data/testcaseData.json';
</script>

<div class="container mx-auto">
    <h1>Component: TestCaseOverview</h1>
    <p>
        This component is used on the pages that test and showcase other components. A component
        developer will provide a set of test vectors to exemplify and test the component. This
        banner-like component serves to label and describe each test case, and provide insight into
        the testing data that is passed to the component being tested.
    </p>

    {#each testcaseData as test, index}
        <TestCaseOverview test_case={test} />
    {/each}
</div>

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
</style>
